### Method

# Gimp Image export_path_to_file

since: 2.6

#### Declaration [src]

    gboolean
    gimp_image_export_path_to_file (
      GimpImage* image,
      GFile* file,
      GimpPath* path
    )

#### Description [src]

Save a path as an SVG file.

This procedure creates an SVG file to save a Path object, that is, a path. The resulting file can be edited using a vector graphics application, or later reloaded into GIMP. Pass `NULL` as the ‘path’ argument to export all paths in the image.

Available since: 2.6

#### Parameters

`file`

  Type: `GFile`

  The SVG file to create.

  The data is owned by the caller of the method.

`path`

  Type: `GimpPath`

  The path object to export, or `NULL` for all in the image.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.